Retrieve all purchase orders, filter by query
curl --request GET \
--url https://api.zivio.net/api/v3/purchase_orders \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v3/purchase_orders"
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v3/purchase_orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"purchase_orders": [
{
"id": "23",
"external_provider": "External Service",
"external_id": "EX67868",
"po_number": "EX67868",
"version": 123,
"status": "<string>",
"owners": {
"job": "2",
"supplier": "2"
}
}
]
}Purchase Orders
Retrieve all purchase orders, filter by query
GET
/
purchase_orders
Retrieve all purchase orders, filter by query
Query Parameters
Filter by a status, one of pending, issued, cancelled, disconnected, issued_pending_revision
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on created timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated timestamp for object.
Results are sorted by created desc as default. Ordering may be specified, available options are ['created', 'updated'], which can be combined in a comma separated list, e.g. updated:desc,created:asc
Paginate results when number of results exceeds limit
Number of results returned per request
Response
ok
Show child attributes
Show child attributes

